'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Jumbotron = function (_React$Component) {
  _inherits(Jumbotron, _React$Component);

  function Jumbotron() {
    _classCallCheck(this, Jumbotron);

    return _possibleConstructorReturn(this, (Jumbotron.__proto__ || Object.getPrototypeOf(Jumbotron)).apply(this, arguments));
  }

  _createClass(Jumbotron, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          fullWidth = _props.fullWidth,
          header = _props.header,
          id = _props.id,
          lead = _props.lead,
          children = _props.children;

      var className = 'jumbotron';
      if (fullWidth) {
        className += ' jumbotron-fluid';
      }
      var interior = [];
      if (header) {
        interior = [_react2.default.createElement(
          'h1',
          { key: interior.length, className: 'display-4' },
          header
        )];
      }
      if (lead) {
        interior = [].concat(_toConsumableArray(interior), [_react2.default.createElement(
          'p',
          { key: interior.length, className: 'lead' },
          lead
        )]);
      }
      interior = [].concat(_toConsumableArray(interior), [children]);
      if (fullWidth) {
        interior = _react2.default.createElement(
          'div',
          { className: 'container-fluid' },
          ' ',
          interior
        );
      }
      return _react2.default.createElement(
        'div',
        { id: 'Jumbotron-' + id, className: className },
        interior
      );
    }
  }]);

  return Jumbotron;
}(_react2.default.Component);

Jumbotron.defaultProps = {
  fullWidth: false
};
Jumbotron.propTypes = {
  fullWidth: _propTypes2.default.bool,
  header: _propTypes2.default.string,
  id: _propTypes2.default.string.isRequired,
  lead: _propTypes2.default.string,
  children: _propTypes2.default.node.isRequired
};
exports.default = Jumbotron;