'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FormControl = function (_React$Component) {
  _inherits(FormControl, _React$Component);

  function FormControl() {
    _classCallCheck(this, FormControl);

    return _possibleConstructorReturn(this, (FormControl.__proto__ || Object.getPrototypeOf(FormControl)).apply(this, arguments));
  }

  _createClass(FormControl, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          cssClass = _props.cssClass,
          disabled = _props.disabled,
          id = _props.id,
          max = _props.max,
          min = _props.min,
          onChange = _props.onChange,
          placeholder = _props.placeholder,
          readOnly = _props.readOnly,
          required = _props.required,
          size = _props.size,
          type = _props.type,
          valid = _props.valid,
          validated = _props.validated,
          value = _props.value;

      var componentId = 'FormControl-' + type + '-' + id;
      var className = 'form-control';

      switch (type) {
        case 'range':
          className = 'form-control-range';
          break;
        case 'file':
          className = 'form-control-file';
          break;
        case 'checkbox':
        case 'radio':
          className = 'form-check-input';
          break;
      }

      if (cssClass) {
        className += ' ' + cssClass;
      }

      if (validated) {
        className += valid ? ' is-valid' : ' is-invalid';
      }

      var attributes = {};
      switch (type) {
        case 'button':
        case 'reset':
        case 'search':
        case 'submit':
          attributes['onClick'] = onChange;
          break;
        default:
          attributes['onChange'] = onChange;
      }

      switch (type) {
        case 'checkbox':
          attributes['checked'] = value;
          break;
        case 'range':
          attributes['max'] = max ? max : 100;
          attributes['min'] = min ? min : 0;
          break;

      }

      if ('small' === size) {
        className += ' form-control-sm';
      } else if ('large' === size) {
        className += ' form-control-lg';
      }

      return _react2.default.createElement('input', _extends({}, attributes, {
        className: className,
        disabled: disabled,
        id: componentId,
        name: 'id',
        placeholder: placeholder,
        readOnly: readOnly,
        required: required,
        type: type,
        value: value }));
    }
  }]);

  return FormControl;
}(_react2.default.Component);

FormControl.defaultProps = {
  disabled: false,
  readOnly: false,
  required: false,
  size: 'medium'
};
FormControl.propTypes = {
  cssClass: _propTypes2.default.string,
  disabled: _propTypes2.default.bool,
  id: _propTypes2.default.string.isRequired,
  max: _propTypes2.default.number,
  min: _propTypes2.default.number,
  onChange: _propTypes2.default.func.isRequired,
  placeholder: _propTypes2.default.string,
  readOnly: _propTypes2.default.bool,
  required: _propTypes2.default.bool,
  size: _propTypes2.default.oneOf(['small', 'medium', 'large']),
  type: _propTypes2.default.oneOf(['button', 'checkbox', 'color', 'date', 'datetime-local', 'email', 'file', 'hidden', 'image', 'month', 'number', 'password', 'radio', 'range', 'reset', 'search', 'submit', 'tel', 'text', 'time', 'url', 'week']).isRequired,
  value: _propTypes2.default.string.isRequired,
  valid: _propTypes2.default.bool,
  validated: _propTypes2.default.bool
};
exports.default = FormControl;