'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Table = function (_React$Component) {
  _inherits(Table, _React$Component);

  function Table() {
    _classCallCheck(this, Table);

    return _possibleConstructorReturn(this, (Table.__proto__ || Object.getPrototypeOf(Table)).apply(this, arguments));
  }

  _createClass(Table, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          bordered = _props.bordered,
          borderless = _props.borderless,
          children = _props.children,
          hoverableRows = _props.hoverableRows,
          id = _props.id,
          invert = _props.invert,
          small = _props.small,
          striped = _props.striped;

      var className = 'table';
      if (bordered) {
        className += ' table-bordered';
      }
      if (borderless) {
        className += ' table-borderless';
      }
      if (hoverableRows) {
        className += ' table-hover';
      }
      if (invert) {
        className += ' table-dark';
      }
      if (striped) {
        className += ' table-striped';
      }
      if (small) {
        className += ' table-sm';
      }
      return _react2.default.createElement(
        'table',
        { id: 'Table-' + id, className: className },
        children
      );
    }
  }]);

  return Table;
}(_react2.default.Component);

Table.defaultProps = {};
Table.propTypes = {
  bordered: _propTypes2.default.bool,
  borderless: _propTypes2.default.bool,
  children: _propTypes2.default.node.isRequired,
  hoverableRows: _propTypes2.default.bool,
  id: _propTypes2.default.string.isRequired,
  invert: _propTypes2.default.bool,
  small: _propTypes2.default.bool,
  striped: _propTypes2.default.bool
};
exports.default = Table;