'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FormGroup = require('../bootstrap/forms/FormGroup');

var _FormGroup2 = _interopRequireDefault(_FormGroup);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CheckboxFormGroup = function (_React$Component) {
  _inherits(CheckboxFormGroup, _React$Component);

  function CheckboxFormGroup() {
    _classCallCheck(this, CheckboxFormGroup);

    return _possibleConstructorReturn(this, (CheckboxFormGroup.__proto__ || Object.getPrototypeOf(CheckboxFormGroup)).apply(this, arguments));
  }

  _createClass(CheckboxFormGroup, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          checked = _props.checked,
          disabled = _props.disabled,
          id = _props.id,
          label = _props.label,
          onChange = _props.onChange,
          required = _props.required,
          value = _props.value,
          valid = _props.valid,
          validationMessage = _props.validationMessage;

      var className = 'form-check-input';
      var validationMessageTag = '';
      var attributes = {};
      var labelTag = '';
      var componentId = 'CheckboxFormGroup-' + id;
      if (validationMessage) {
        className += valid ? ' is-valid' : ' is-invalid';
        validationMessageTag = _react2.default.createElement(
          'div',
          { className: valid ? 'valid-feedback' : 'invalid-feedback' },
          validationMessage
        );
      }
      if (required) {
        attributes['required'] = true;
      }
      if (label && required) {
        labelTag = _react2.default.createElement(
          'label',
          { id: 'FormGroupLabel-' + componentId, className: 'form-check-label', htmlFor: id },
          label,
          '\xA0',
          _react2.default.createElement(
            'small',
            { className: 'text-danger' },
            'Required'
          )
        );
      } else if (label && !required) {
        labelTag = _react2.default.createElement(
          'label',
          { id: 'FormGroupLabel-' + componentId, className: 'form-check-label', htmlFor: id },
          label
        );
      } else if (!label && required) {
        labelTag = _react2.default.createElement(
          'label',
          { id: 'FormGroupLabel-' + componentId, className: 'form-check-label', htmlFor: id },
          _react2.default.createElement(
            'small',
            { className: 'text-danger' },
            'Required'
          )
        );
      }
      return _react2.default.createElement(
        _FormGroup2.default,
        { id: componentId, valid: valid, validationMessage: validationMessage },
        _react2.default.createElement(
          'div',
          { className: 'form-check' },
          _react2.default.createElement('input', _extends({ checked: checked, className: className, disabled: disabled, id: 'Checkbox-' + componentId, onChange: onChange, type: 'checkbox',
            value: value }, attributes)),
          labelTag,
          validationMessageTag
        )
      );
    }
  }]);

  return CheckboxFormGroup;
}(_react2.default.Component);

CheckboxFormGroup.defaultProps = {};
CheckboxFormGroup.propTypes = {
  checked: _propTypes2.default.bool.isRequired,
  disabled: _propTypes2.default.bool,
  id: _propTypes2.default.string.isRequired,
  label: _propTypes2.default.string,
  onChange: _propTypes2.default.func.isRequired,
  required: _propTypes2.default.bool,
  value: _propTypes2.default.string.isRequired,
  valid: _propTypes2.default.bool,
  validationMessage: _propTypes2.default.string
};
exports.default = CheckboxFormGroup;