'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FormControl = require('../bootstrap/forms/FormControl');

var _FormControl2 = _interopRequireDefault(_FormControl);

var _FormGroup = require('../bootstrap/forms/FormGroup');

var _FormGroup2 = _interopRequireDefault(_FormGroup);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DateRangeFormGroup = function (_React$Component) {
  _inherits(DateRangeFormGroup, _React$Component);

  function DateRangeFormGroup(props) {
    _classCallCheck(this, DateRangeFormGroup);

    return _possibleConstructorReturn(this, (DateRangeFormGroup.__proto__ || Object.getPrototypeOf(DateRangeFormGroup)).call(this, props));
  }

  _createClass(DateRangeFormGroup, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          disabled = _props.disabled,
          fromDate = _props.fromDate,
          id = _props.id,
          label = _props.label,
          onChange = _props.onChange,
          required = _props.required,
          thruDate = _props.thruDate,
          valid = _props.valid,
          validationMessage = _props.validationMessage;

      var validationMessageTag = '';
      var componentId = 'DateRangeFormGroup-' + id;
      if (validationMessage) {
        validationMessageTag = _react2.default.createElement(
          'div',
          { id: componentId + '-validationMessage', className: valid ? 'valid-feedback' : 'invalid-feedback' },
          validationMessage
        );
      }
      return _react2.default.createElement(
        _FormGroup2.default,
        { id: componentId, label: label, required: required },
        _react2.default.createElement(
          'div',
          { className: 'row' },
          _react2.default.createElement(
            'div',
            { className: 'col' },
            _react2.default.createElement(_FormControl2.default, { disabled: disabled, id: componentId + '-From', onChange: onChange, placeholder: 'From Date',
              type: 'datetime-local', valid: valid,
              validated: validationMessage ? true : false, value: fromDate }),
            validationMessageTag
          ),
          _react2.default.createElement(
            'div',
            { className: 'col' },
            _react2.default.createElement(_FormControl2.default, { disabled: disabled, id: componentId + '-Thru', onChange: onChange, placeholder: 'Thru Date',
              type: 'datetime-local', valid: valid,
              validated: validationMessage ? true : false, value: thruDate })
          )
        )
      );
    }
  }]);

  return DateRangeFormGroup;
}(_react2.default.Component);

DateRangeFormGroup.defaultProps = {};
DateRangeFormGroup.propTypes = {
  disabled: _propTypes2.default.bool,
  fromDate: _propTypes2.default.node,
  id: _propTypes2.default.string.isRequired,
  label: _propTypes2.default.string,
  onChange: _propTypes2.default.func.isRequired,
  required: _propTypes2.default.bool,
  thruDate: _propTypes2.default.node,
  valid: _propTypes2.default.bool,
  validationMessage: _propTypes2.default.string
};
exports.default = DateRangeFormGroup;